/*
 * GraphLibInterface.h
 *
 * Created: 29.12.2019 18:31:27
 *  Author: GoldenAndy
 */ 


#ifndef GRAPHLIBINTERFACE_H_
#define GRAPHLIBINTERFACE_H_

	//   
	#define DISPLAY_SHORT_COORDINATES
	
	//    
	#define NO_FONT_EFFECTS

	//  
	#define USE_FONT_BIG_20X32_DIGITS	    //    
	#define USE_FONT_COND_HALLVET_7X15		//  
	#define USE_FONT_NOKIA_DIGITS_5X7		//  
	
	#define BIG_FONT		ft20x32_BigDigits
	#define BIG_FONT_W		20
	#define BIG_FONT_H		32

	#define BASE_FONT		ft7x15_CondHallvetica
	#define BASE_FONT_W		7
	#define BASE_FONT_H		15

	#define SMALL_FONT		ft5x7_NokiaDigits
	#define SMALL_FONT_W	5
	#define SMALL_FONT_H	7

	// 
	#define DIS_W		(128)
	#define DIS_H		(64)
	#define DIS_R		(DIS_W-1)
	#define DIS_B		(DIS_H-1)

	//  
	#include "../_common/LCD_GRAPHICS/OLED_SSD1306/oled_ssd1306.h" 
	#define displayPutPixel(x,y,color)		ssd1306setPixel((x),(y),(color))
	#define displayClear()					ssd1306clearDisplay()


#endif /* GRAPHLIBINTERFACE_H_ */