/***************************************************
 * EEPROM_CheckSum.h
 *
 * Created: 15.12.2015 
 * Author : GoldenAndy
 *
 *--------------------------------------------------
 *      EEPROM
 *--------------------------------------------------
 *
 *  EEPROM_CheckCRC  
 *   EEPROM     
 *     EEPROM 
 *    .
 *
 *  EEPROM_UpdateCRC   
 *    *  EEPROM   
 *      EEPROM.
 *
 *    ,  
 *      
 *   -   .
 *
 *..................................................
 */


#ifndef __EEPROM_CheckSum__
#define __EEPROM_CheckSum__ 1

/*    EEPROM
 *  True (1),    ,    - 0 - False
 */
uint8_t EEPROM_IsGoodCRC(void);


/*       EEPROM
 */
void EEPROM_UpdateCRC(void);

#endif /* __EEPROM_CheckSum__ */

