/*
 * random.c
 *
 * Created: 21.12.2018 0:00:50
 *  Author: GoldenAndy
 */ 

#include "random.h"

static unsigned long rnd = 0; //  . 

unsigned char getRand(unsigned char maxRandVal){
	unsigned long rBuf = rnd;
	rBuf = rBuf * 1664525 + 1013904223;
	rBuf %= 32767;
	rnd = rBuf;
	return (unsigned char) (rBuf % maxRandVal);
}

void initRandSeed(unsigned int newSeed){
	rnd = newSeed;
}