// FontEditor by GoldenAndy, 2018

#ifndef FONT_5X7_NOKIA
	//$ Font description begin
	//$ FontName       	Nokia
	//$ FontCharWidth  	5
	//$ FontCharHeight 	7
	//$ FontCharSet    	EngUaSet
	#ifndef FONT_UA_MAP
	#	define FONT_UA_MAP
	#endif

	#ifndef FONT_BIT_FLOW
	#	define FONT_BIT_FLOW
	#endif

	#ifndef FONT_BLOCK_SIZE_1
	#	define FONT_BLOCK_SIZE_1
	#endif

		/* -- BitFlow data ----- */
	#define FONT_5X7_NOKIA	{	\
		/* -- Font parameters ------ 			*/	\
				0x05,	/* Char width         	*/	\
				0x07,	/* Char height        	*/	\
				0x04,	/* Font map ID        	*/	\
				0x03,	/* Bits direction     	*/	\
				0x01,	/* Font data item size	*/	\
		/* -- Font data ------------ 			*/	\
				0x00, 0x00, 0x00, 0x00, 0x00,	/* Char code = 0x20 (32), Char =  */	\
				0x21, 0x08, 0x42, 0x00, 0x80,	/* Char code = 0x21 (33), Char = !*/	\
				0x52, 0x94, 0x00, 0x00, 0x00,	/* Char code = 0x22 (34), Char = "*/	\
				0x52, 0xBE, 0xAF, 0xA9, 0x40,	/* Char code = 0x23 (35), Char = #*/	\
				0x23, 0xE8, 0xE2, 0xF8, 0x80,	/* Char code = 0x24 (36), Char = $*/	\
				0xC6, 0x44, 0x44, 0x4C, 0x60,	/* Char code = 0x25 (37), Char = %*/	\
				0x64, 0xA8, 0x8A, 0xC9, 0xA0,	/* Char code = 0x26 (38), Char = &*/	\
				0x61, 0x10, 0x00, 0x00, 0x00,	/* Char code = 0x27 (39), Char = '*/	\
				0x11, 0x10, 0x84, 0x10, 0x40,	/* Char code = 0x28 (40), Char = (*/	\
				0x41, 0x04, 0x21, 0x11, 0x00,	/* Char code = 0x29 (41), Char = )*/	\
				0x01, 0x2A, 0xEA, 0x90, 0x00,	/* Char code = 0x2A (42), Char = **/	\
				0x01, 0x09, 0xF2, 0x10, 0x00,	/* Char code = 0x2B (43), Char = +*/	\
				0x00, 0x00, 0x03, 0x08, 0x80,	/* Char code = 0x2C (44), Char = ,*/	\
				0x00, 0x01, 0xF0, 0x00, 0x00,	/* Char code = 0x2D (45), Char = -*/	\
				0x00, 0x00, 0x00, 0x31, 0x80,	/* Char code = 0x2E (46), Char = .*/	\
				0x00, 0x44, 0x44, 0x40, 0x00,	/* Char code = 0x2F (47), Char = /*/	\
				\
				0x74, 0x67, 0x5C, 0xC5, 0xC0,	/* Char code = 0x30 (48), Char = 0*/	\
				0x23, 0x08, 0x42, 0x11, 0xC0,	/* Char code = 0x31 (49), Char = 1*/	\
				0x74, 0x42, 0x22, 0x23, 0xE0,	/* Char code = 0x32 (50), Char = 2*/	\
				0xF8, 0x88, 0x20, 0xC5, 0xC0,	/* Char code = 0x33 (51), Char = 3*/	\
				0x11, 0x95, 0x2F, 0x88, 0x40,	/* Char code = 0x34 (52), Char = 4*/	\
				0xFC, 0x3C, 0x10, 0xC5, 0xC0,	/* Char code = 0x35 (53), Char = 5*/	\
				0x32, 0x21, 0xE8, 0xC5, 0xC0,	/* Char code = 0x36 (54), Char = 6*/	\
				0xF8, 0x44, 0x44, 0x21, 0x00,	/* Char code = 0x37 (55), Char = 7*/	\
				0x74, 0x62, 0xE8, 0xC5, 0xC0,	/* Char code = 0x38 (56), Char = 8*/	\
				0x74, 0x62, 0xF0, 0x89, 0x80,	/* Char code = 0x39 (57), Char = 9*/	\
				0x03, 0x18, 0x06, 0x30, 0x00,	/* Char code = 0x3A (58), Char = :*/	\
				0x03, 0x18, 0x06, 0x11, 0x00,	/* Char code = 0x3B (59), Char = ;*/	\
				0x11, 0x11, 0x04, 0x10, 0x40,	/* Char code = 0x3C (60), Char = <*/	\
				0x00, 0x3E, 0x0F, 0x80, 0x00,	/* Char code = 0x3D (61), Char = =*/	\
				0x41, 0x04, 0x11, 0x11, 0x00,	/* Char code = 0x3E (62), Char = >*/	\
				0x74, 0x42, 0x22, 0x00, 0x80,	/* Char code = 0x3F (63), Char = ?*/	\
				\
				0x74, 0x42, 0xDA, 0xD5, 0xC0,	/* Char code = 0x40 (64), Char = @*/	\
				0x74, 0x63, 0x1F, 0xC6, 0x20,	/* Char code = 0x41 (65), Char = A*/	\
				0xF4, 0x63, 0xE8, 0xC7, 0xC0,	/* Char code = 0x42 (66), Char = B*/	\
				0x74, 0x61, 0x08, 0x45, 0xC0,	/* Char code = 0x43 (67), Char = C*/	\
				0xE4, 0xA3, 0x18, 0xCB, 0x80,	/* Char code = 0x44 (68), Char = D*/	\
				0xFC, 0x21, 0xE8, 0x43, 0xE0,	/* Char code = 0x45 (69), Char = E*/	\
				0xFC, 0x21, 0xE8, 0x42, 0x00,	/* Char code = 0x46 (70), Char = F*/	\
				0x74, 0x61, 0x78, 0xC5, 0xE0,	/* Char code = 0x47 (71), Char = G*/	\
				0x8C, 0x63, 0xF8, 0xC6, 0x20,	/* Char code = 0x48 (72), Char = H*/	\
				0x71, 0x08, 0x42, 0x11, 0xC0,	/* Char code = 0x49 (73), Char = I*/	\
				0x38, 0x84, 0x21, 0x49, 0x80,	/* Char code = 0x4A (74), Char = J*/	\
				0x8C, 0xA9, 0x8A, 0x4A, 0x20,	/* Char code = 0x4B (75), Char = K*/	\
				0x84, 0x21, 0x08, 0x43, 0xE0,	/* Char code = 0x4C (76), Char = L*/	\
				0x8E, 0xEB, 0x58, 0xC6, 0x20,	/* Char code = 0x4D (77), Char = M*/	\
				0x8C, 0x73, 0x59, 0xC6, 0x20,	/* Char code = 0x4E (78), Char = N*/	\
				0x74, 0x63, 0x18, 0xC5, 0xC0,	/* Char code = 0x4F (79), Char = O*/	\
				\
				0xF4, 0x63, 0xE8, 0x42, 0x00,	/* Char code = 0x50 (80), Char = P*/	\
				0x74, 0x63, 0x1A, 0xC9, 0xA0,	/* Char code = 0x51 (81), Char = Q*/	\
				0xF4, 0x63, 0xEA, 0x4A, 0x20,	/* Char code = 0x52 (82), Char = R*/	\
				0x7C, 0x20, 0xE0, 0x87, 0xC0,	/* Char code = 0x53 (83), Char = S*/	\
				0xF9, 0x08, 0x42, 0x10, 0x80,	/* Char code = 0x54 (84), Char = T*/	\
				0x8C, 0x63, 0x18, 0xC5, 0xC0,	/* Char code = 0x55 (85), Char = U*/	\
				0x8C, 0x63, 0x18, 0xA8, 0x80,	/* Char code = 0x56 (86), Char = V*/	\
				0x8C, 0x63, 0x5A, 0xD5, 0x40,	/* Char code = 0x57 (87), Char = W*/	\
				0x8C, 0x54, 0x45, 0x46, 0x20,	/* Char code = 0x58 (88), Char = X*/	\
				0x8C, 0x62, 0xA2, 0x10, 0x80,	/* Char code = 0x59 (89), Char = Y*/	\
				0xF8, 0x44, 0x44, 0x43, 0xE0,	/* Char code = 0x5A (90), Char = Z*/	\
				0x72, 0x10, 0x84, 0x21, 0xC0,	/* Char code = 0x5B (91), Char = [*/	\
				0x04, 0x10, 0x41, 0x04, 0x00,	/* Char code = 0x5C (92), Char = <BackSlash>*/	\
				0x70, 0x84, 0x21, 0x09, 0xC0,	/* Char code = 0x5D (93), Char = ]*/	\
				0x22, 0xA2, 0x00, 0x00, 0x00,	/* Char code = 0x5E (94), Char = ^*/	\
				0x00, 0x00, 0x00, 0x03, 0xE0,	/* Char code = 0x5F (95), Char = _*/	\
				\
				0x41, 0x04, 0x00, 0x00, 0x00,	/* Char code = 0x60 (96), Char = `*/	\
				0x00, 0x1C, 0x17, 0xC5, 0xE0,	/* Char code = 0x61 (97), Char = a*/	\
				0x84, 0x2D, 0x98, 0xC7, 0xC0,	/* Char code = 0x62 (98), Char = b*/	\
				0x00, 0x1D, 0x08, 0x45, 0xC0,	/* Char code = 0x63 (99), Char = c*/	\
				0x08, 0x5B, 0x38, 0xC5, 0xE0,	/* Char code = 0x64 (100), Char = d*/	\
				0x00, 0x1D, 0x1F, 0xC1, 0xC0,	/* Char code = 0x65 (101), Char = e*/	\
				0x32, 0x51, 0xC4, 0x21, 0x00,	/* Char code = 0x66 (102), Char = f*/	\
				0x03, 0xE3, 0x17, 0x85, 0xC0,	/* Char code = 0x67 (103), Char = g*/	\
				0x84, 0x2D, 0x98, 0xC6, 0x20,	/* Char code = 0x68 (104), Char = h*/	\
				0x20, 0x18, 0x42, 0x11, 0xC0,	/* Char code = 0x69 (105), Char = i*/	\
				0x10, 0x0C, 0x21, 0x49, 0x80,	/* Char code = 0x6A (106), Char = j*/	\
				0x84, 0x25, 0x4C, 0x52, 0x40,	/* Char code = 0x6B (107), Char = k*/	\
				0x61, 0x08, 0x42, 0x11, 0xC0,	/* Char code = 0x6C (108), Char = l*/	\
				0x00, 0x35, 0x5A, 0xC6, 0x20,	/* Char code = 0x6D (109), Char = m*/	\
				0x00, 0x2D, 0x98, 0xC6, 0x20,	/* Char code = 0x6E (110), Char = n*/	\
				0x00, 0x1D, 0x18, 0xC5, 0xC0,	/* Char code = 0x6F (111), Char = o*/	\
				\
				0x00, 0x3D, 0x1F, 0x42, 0x00,	/* Char code = 0x70 (112), Char = p*/	\
				0x00, 0x1B, 0x37, 0x84, 0x20,	/* Char code = 0x71 (113), Char = q*/	\
				0x00, 0x2D, 0x98, 0x42, 0x00,	/* Char code = 0x72 (114), Char = r*/	\
				0x00, 0x1D, 0x07, 0x07, 0xC0,	/* Char code = 0x73 (115), Char = s*/	\
				0x42, 0x38, 0x84, 0x24, 0xC0,	/* Char code = 0x74 (116), Char = t*/	\
				0x00, 0x23, 0x18, 0xCD, 0xA0,	/* Char code = 0x75 (117), Char = u*/	\
				0x00, 0x23, 0x18, 0xA8, 0x80,	/* Char code = 0x76 (118), Char = v*/	\
				0x00, 0x23, 0x1A, 0xD5, 0x40,	/* Char code = 0x77 (119), Char = w*/	\
				0x00, 0x22, 0xA2, 0x2A, 0x20,	/* Char code = 0x78 (120), Char = x*/	\
				0x00, 0x23, 0x17, 0x85, 0xC0,	/* Char code = 0x79 (121), Char = y*/	\
				0x00, 0x3E, 0x22, 0x23, 0xE0,	/* Char code = 0x7A (122), Char = z*/	\
				0x11, 0x08, 0x82, 0x10, 0x40,	/* Char code = 0x7B (123), Char = {*/	\
				0x21, 0x08, 0x42, 0x10, 0x80,	/* Char code = 0x7C (124), Char = |*/	\
				0x41, 0x08, 0x22, 0x11, 0x00,	/* Char code = 0x7D (125), Char = }*/	\
				0x00, 0x11, 0x51, 0x00, 0x00,	/* Char code = 0x7E (126), Char = ~*/	\
				0xFF, 0xFF, 0xFF, 0xFF, 0xE0,	/* Char code = 0x7F (127)          */	\
				\
				0x57, 0xE1, 0x0F, 0x43, 0xE0,	/* Char code = 0xA8 (168), Char = */	\
				0x74, 0x61, 0xC8, 0x45, 0xC0,	/* Char code = 0xAA (170), Char = */	\
				0x50, 0x1C, 0x42, 0x11, 0xC0,	/* Char code = 0xAF (175), Char = */	\
				\
				0x71, 0x08, 0x42, 0x11, 0xC0,	/* Char code = 0xB2 (178), Char = */	\
				0x20, 0x18, 0x42, 0x11, 0xC0,	/* Char code = 0xB3 (179), Char = */	\
				0x50, 0x1D, 0x1F, 0xC1, 0xC0,	/* Char code = 0xB8 (184), Char = */	\
				0x00, 0x1D, 0x1E, 0x45, 0xC0,	/* Char code = 0xBA (186), Char = */	\
				0x50, 0x18, 0x42, 0x11, 0xC0,	/* Char code = 0xBF (191), Char = */	\
				\
				0x22, 0xA3, 0x1F, 0xC6, 0x20,	/* Char code = 0xC0 (192), Char = */	\
				0xFC, 0x21, 0xE8, 0xC7, 0xC0,	/* Char code = 0xC1 (193), Char = */	\
				0xF4, 0x63, 0xE8, 0xC7, 0xC0,	/* Char code = 0xC2 (194), Char = */	\
				0xFC, 0x21, 0x08, 0x42, 0x00,	/* Char code = 0xC3 (195), Char = */	\
				0x72, 0x94, 0xA5, 0x7E, 0x20,	/* Char code = 0xC4 (196), Char = */	\
				0xFC, 0x21, 0xE8, 0x43, 0xE0,	/* Char code = 0xC5 (197), Char = */	\
				0xAD, 0x6A, 0xEA, 0xD6, 0xA0,	/* Char code = 0xC6 (198), Char = */	\
				0x74, 0x42, 0x60, 0xC5, 0xC0,	/* Char code = 0xC7 (199), Char = */	\
				0x8C, 0x63, 0x3A, 0xE6, 0x20,	/* Char code = 0xC8 (200), Char = */	\
				0xAD, 0x63, 0x3A, 0xE6, 0x20,	/* Char code = 0xC9 (201), Char = */	\
				0x8C, 0xA9, 0x8A, 0x4A, 0x20,	/* Char code = 0xCA (202), Char = */	\
				0x3A, 0x52, 0x94, 0xA6, 0x20,	/* Char code = 0xCB (203), Char = */	\
				0x8E, 0xEB, 0x58, 0xC6, 0x20,	/* Char code = 0xCC (204), Char = */	\
				0x8C, 0x63, 0xF8, 0xC6, 0x20,	/* Char code = 0xCD (205), Char = */	\
				0x74, 0x63, 0x18, 0xC5, 0xC0,	/* Char code = 0xCE (206), Char = */	\
				0xFC, 0x63, 0x18, 0xC6, 0x20,	/* Char code = 0xCF (207), Char = */	\
				\
				0xF4, 0x63, 0xE8, 0x42, 0x00,	/* Char code = 0xD0 (208), Char = */	\
				0x74, 0x61, 0x08, 0x45, 0xC0,	/* Char code = 0xD1 (209), Char = */	\
				0xF9, 0x08, 0x42, 0x10, 0x80,	/* Char code = 0xD2 (210), Char = */	\
				0x8C, 0x62, 0xF0, 0x85, 0xC0,	/* Char code = 0xD3 (211), Char = */	\
				0x75, 0x6B, 0x57, 0x10, 0x80,	/* Char code = 0xD4 (212), Char = */	\
				0x8C, 0x54, 0x45, 0x46, 0x20,	/* Char code = 0xD5 (213), Char = */	\
				0x94, 0xA5, 0x29, 0x7C, 0x20,	/* Char code = 0xD6 (214), Char = */	\
				0x8C, 0x62, 0xF0, 0x84, 0x20,	/* Char code = 0xD7 (215), Char = */	\
				0x8D, 0x6B, 0x5A, 0xD7, 0xE0,	/* Char code = 0xD8 (216), Char = */	\
				0xAD, 0x6B, 0x5A, 0xFC, 0x20,	/* Char code = 0xD9 (217), Char = */	\
				0xC2, 0x10, 0xE4, 0xA5, 0xC0,	/* Char code = 0xDA (218), Char = */	\
				0x8C, 0x63, 0x9A, 0xD7, 0x20,	/* Char code = 0xDB (219), Char = */	\
				0x42, 0x10, 0xE4, 0xA5, 0xC0,	/* Char code = 0xDC (220), Char = */	\
				0x74, 0x42, 0x70, 0xC5, 0xC0,	/* Char code = 0xDD (221), Char = */	\
				0x95, 0x6B, 0xDA, 0xD6, 0x40,	/* Char code = 0xDE (222), Char = */	\
				0x7C, 0x62, 0xF2, 0xA6, 0x20,	/* Char code = 0xDF (223), Char = */	\
				\
				0x00, 0x1C, 0x17, 0xC5, 0xE0,	/* Char code = 0xE0 (224), Char = */	\
				0x0B, 0xA1, 0xE8, 0xC5, 0xC0,	/* Char code = 0xE1 (225), Char = */	\
				0x00, 0x39, 0x2E, 0x4B, 0x80,	/* Char code = 0xE2 (226), Char = */	\
				0x00, 0x3D, 0x28, 0x42, 0x00,	/* Char code = 0xE3 (227), Char = */	\
				0x00, 0x1C, 0xA5, 0x7E, 0x20,	/* Char code = 0xE4 (228), Char = */	\
				0x00, 0x1D, 0x1F, 0xC1, 0xC0,	/* Char code = 0xE5 (229), Char = */	\
				0x00, 0x2B, 0x57, 0x56, 0xA0,	/* Char code = 0xE6 (230), Char = */	\
				0x00, 0x1C, 0x13, 0x05, 0xC0,	/* Char code = 0xE7 (231), Char = */	\
				0x00, 0x23, 0x3A, 0xE6, 0x20,	/* Char code = 0xE8 (232), Char = */	\
				0x51, 0x23, 0x3A, 0xE6, 0x20,	/* Char code = 0xE9 (233), Char = */	\
				0x00, 0x25, 0x4C, 0x52, 0x40,	/* Char code = 0xEA (234), Char = */	\
				0x00, 0x0E, 0x94, 0xA6, 0x20,	/* Char code = 0xEB (235), Char = */	\
				0x00, 0x23, 0xBA, 0xC6, 0x20,	/* Char code = 0xEC (236), Char = */	\
				0x00, 0x23, 0x1F, 0xC6, 0x20,	/* Char code = 0xED (237), Char = */	\
				0x00, 0x1D, 0x18, 0xC5, 0xC0,	/* Char code = 0xEE (238), Char = */	\
				0x00, 0x3F, 0x18, 0xC6, 0x20,	/* Char code = 0xEF (239), Char = */	\
				\
				0x00, 0x3D, 0x1F, 0x42, 0x00,	/* Char code = 0xF0 (240), Char = */	\
				0x00, 0x1D, 0x08, 0x41, 0xC0,	/* Char code = 0xF1 (241), Char = */	\
				0x00, 0x3E, 0x42, 0x10, 0x80,	/* Char code = 0xF2 (242), Char = */	\
				0x00, 0x23, 0x17, 0x85, 0xC0,	/* Char code = 0xF3 (243), Char = */	\
				0x00, 0x1D, 0x57, 0x10, 0x80,	/* Char code = 0xF4 (244), Char = */	\
				0x00, 0x22, 0xA2, 0x2A, 0x20,	/* Char code = 0xF5 (245), Char = */	\
				0x00, 0x25, 0x29, 0x7C, 0x20,	/* Char code = 0xF6 (246), Char = */	\
				0x00, 0x23, 0x17, 0x84, 0x20,	/* Char code = 0xF7 (247), Char = */	\
				0x00, 0x2B, 0x5A, 0xD7, 0xE0,	/* Char code = 0xF8 (248), Char = */	\
				0x00, 0x2B, 0x5A, 0xFC, 0x20,	/* Char code = 0xF9 (249), Char = */	\
				0x00, 0x30, 0x87, 0x25, 0xC0,	/* Char code = 0xFA (250), Char = */	\
				0x00, 0x23, 0x1C, 0xD7, 0x20,	/* Char code = 0xFB (251), Char = */	\
				0x00, 0x10, 0x87, 0x25, 0xC0,	/* Char code = 0xFC (252), Char = */	\
				0x00, 0x1D, 0x13, 0xC5, 0xC0,	/* Char code = 0xFD (253), Char = */	\
				0x00, 0x25, 0x5E, 0xD6, 0x40,	/* Char code = 0xFE (254), Char = */	\
				0x00, 0x1F, 0x17, 0x97, 0x20 	/* Char code = 0xFF (255), Char = */	\
		}
	// Memory use :845 bytes

	//$ Font description end
#endif
